## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreNavigatorLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecoretools.diagram.navigator.EcoreNavigatorLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITreePathLabelProvider, org.eclipse.ui.navigator.ICommonLabelProvider, org.eclipse.ui.navigator.IDescriptionProvider, org.eclipse.ui.navigator.IMementoAware

    public class EcoreNavigatorLabelProvider

extends org.eclipse.jface.viewers.LabelProvider
implements org.eclipse.ui.navigator.ICommonLabelProvider, org.eclipse.jface.viewers.ITreePathLabelProvider

Constructor Summary
`EcoreNavigatorLabelProvider()`

Method Summary
`java.lang.String` `getDescription(java.lang.Object anElement)`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getImage(org.eclipse.gmf.runtime.notation.View view)`
`java.lang.String` `getText(java.lang.Object element)`
`java.lang.String` `getText(org.eclipse.gmf.runtime.notation.View view)`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`
`void` `updateLabel(org.eclipse.jface.viewers.ViewerLabel label, org.eclipse.jface.viewers.TreePath elementPath)`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### EcoreNavigatorLabelProvider

    public EcoreNavigatorLabelProvider()

Method Detail

### updateLabel

    public void updateLabel(org.eclipse.jface.viewers.ViewerLabel label,
                            org.eclipse.jface.viewers.TreePath elementPath)

  Specified by:
    `updateLabel` in interface `org.eclipse.jface.viewers.ITreePathLabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.jface.viewers.LabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(org.eclipse.gmf.runtime.notation.View view)

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`

### getText

    public java.lang.String getText(org.eclipse.gmf.runtime.notation.View view)

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonLabelProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`

### getDescription

    public java.lang.String getDescription(java.lang.Object anElement)

  Specified by:
    `getDescription` in interface `org.eclipse.ui.navigator.IDescriptionProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.